Package de.gebit.integrity

## Class DSLRuntimeModule

- java.lang.Object
- - org.eclipse.xtext.service.AbstractGenericModule
  - - org.eclipse.xtext.service.DefaultRuntimeModule
    - - org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule
      - - de.gebit.integrity.AbstractDSLRuntimeModule
        - - de.gebit.integrity.DSLRuntimeModule

- All Implemented Interfaces:
    `com.google.inject.Module`
  Direct Known Subclasses:
    `IntegrityRunnerModule`

      public class DSLRuntimeModule
      extends AbstractDSLRuntimeModule

  Use this class to register components to be used at runtime / without the Equinox extension registry.
  Author:
    Rene Schneider - initial API and implementation

- - ### Field Summary

    - ### Fields inherited from class de.gebit.integrity.AbstractDSLRuntimeModule

      `properties`

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DSLRuntimeModule()` | Creates a new instance with the classloader of the current class as default.
    `DSLRuntimeModule​(ClassLoader aClassLoader)` | Creates a new instance using the given classloader.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `ClassLoader` | `bindClassLoaderToInstance()` |
    `Class<? extends ConversionContext>` | `bindConversionContext()` | Binds the `ConversionContext`.
    `Class<? extends org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy>` | `bindIDefaultResourceDescriptionStrategy()` | Binds the `IDefaultResourceDescriptionStrategy`.
    `Class<? extends org.eclipse.xtext.resource.clustering.IResourceClusteringPolicy>` | `bindIResourceClusteringPolicy()` | Binds the `IResourceClusteringPolicy`.
    `Class<? extends org.eclipse.xtext.scoping.IScopeProvider>` | `bindIScopeProvider()` |
    `Class<? extends org.eclipse.xtext.conversion.IValueConverterService>` | `bindIValueConverterService()` | Binds Xtext's own converters.
    `Class<? extends ModelSourceExplorer>` | `bindModelSourceExplorer()` | Binds the `ModelSourceExplorer`.
    `Class<? extends ParameterResolver>` | `bindParameterResolver()` | Bind the parameter resolver.
    `Class<? extends StandardOperationProcessor>` | `bindStandardOperationProcessor()` | Bind the standard operation processor.
    `Class<? extends ValueConverter>` | `bindValueConverter()` | Bind the value converter.
    `void` | `configureIScopeProviderDelegate​(com.google.inject.Binder aBinder)` | Bind the custom local scope provider.
    `void` | `configureRuntimeEncodingProvider​(com.google.inject.Binder aBinder)` | Bind the encoding provider.

    - ### Methods inherited from class de.gebit.integrity.AbstractDSLRuntimeModule

      `bindDSLJavaValidator, bindIAllContainersState$Provider, bindIAntlrTokenFileProvider, bindIContainer$Manager, bindIFormatter, bindIGenerator, bindIGlobalScopeProvider, bindIGrammarAccess, bindIParser, bindIQualifiedNameProvider, bindISemanticSequencer, bindISerializer, bindISyntacticSequencer, bindITokenDefProvider, bindITokenToStringConverter, bindLexer, configure, configureFileExtensions, configureIgnoreCaseLinking, configureIResourceDescriptions, configureIResourceDescriptionsPersisted, configureLanguageName, configureRuntimeLexer, provideInternalDSLLexer`

    - ### Methods inherited from class org.eclipse.xtext.common.types.DefaultCommonTypesRuntimeModule

      `bindAbstractTypeScopeProvider, bindIJvmTypeProvider$Factory, bindTypesFactoryToInstance`

    - ### Methods inherited from class org.eclipse.xtext.service.DefaultRuntimeModule

      `bindConcreteSyntaxValidator, bindDiagnostician, bindEPackageRegistry, bindEValidatorRegistry, bindIAstFactory, bindIFragmentProvider, bindILinker, bindILinkingService, bindILocationInFileProvider, bindINodeModelFormatter, bindIPartialParserHelper, bindIResourceFactory, bindIResourceServiceProvider$Registry, bindITransientValueService, bindResourceSet, bindRuntimeEncodingProvider, bindXtextResource, bindXtextResourceSet, configureGenericSemanticSequencer, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsLiveScope, configureIsAffectedExtensions, configureLinkingIScopeProvider, configureSerializerIScopeProvider, configureUseIndexFragmentsForLazyLinking, provideIEncodingProvider`

    - ### Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule

      `bindProperties, getBindings, tryBindProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DSLRuntimeModule

          public DSLRuntimeModule()

      Creates a new instance with the classloader of the current class as default.

    - #### DSLRuntimeModule

          public DSLRuntimeModule​(ClassLoader aClassLoader)

      Creates a new instance using the given classloader.
      Parameters:
        `aClassLoader` -

  - ### Method Detail

    - #### bindIValueConverterService

          public Class<? extends org.eclipse.xtext.conversion.IValueConverterService> bindIValueConverterService()

      Binds Xtext's own converters.
      Overrides:
        `bindIValueConverterService` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindClassLoaderToInstance

          public ClassLoader bindClassLoaderToInstance()

      Overrides:
        `bindClassLoaderToInstance` in class `AbstractDSLRuntimeModule`

    - #### bindValueConverter

          public Class<? extends ValueConverter> bindValueConverter()

      Bind the value converter.

    - #### bindParameterResolver

          public Class<? extends ParameterResolver> bindParameterResolver()

      Bind the parameter resolver.

    - #### bindStandardOperationProcessor

          public Class<? extends StandardOperationProcessor> bindStandardOperationProcessor()

      Bind the standard operation processor.
      Returns:

    - #### bindModelSourceExplorer

          public Class<? extends ModelSourceExplorer> bindModelSourceExplorer()

      Binds the `ModelSourceExplorer`.
      Returns:

    - #### bindIScopeProvider

          public Class<? extends org.eclipse.xtext.scoping.IScopeProvider> bindIScopeProvider()

      Overrides:
        `bindIScopeProvider` in class `AbstractDSLRuntimeModule`

    - #### configureIScopeProviderDelegate

          public void configureIScopeProviderDelegate​(com.google.inject.Binder aBinder)

      Bind the custom local scope provider.
      Overrides:
        `configureIScopeProviderDelegate` in class `AbstractDSLRuntimeModule`

    - #### configureRuntimeEncodingProvider

          public void configureRuntimeEncodingProvider​(com.google.inject.Binder aBinder)

      Bind the encoding provider.
      Overrides:
        `configureRuntimeEncodingProvider` in class `org.eclipse.xtext.service.DefaultRuntimeModule`

    - #### bindConversionContext

          public Class<? extends ConversionContext> bindConversionContext()

      Binds the `ConversionContext`.
      Returns:

    - #### bindIDefaultResourceDescriptionStrategy

          public Class<? extends org.eclipse.xtext.resource.IDefaultResourceDescriptionStrategy> bindIDefaultResourceDescriptionStrategy()

      Binds the `IDefaultResourceDescriptionStrategy`.
      Returns:

    - #### bindIResourceClusteringPolicy

          public Class<? extends org.eclipse.xtext.resource.clustering.IResourceClusteringPolicy> bindIResourceClusteringPolicy()

      Binds the `IResourceClusteringPolicy`. This dynamic policy improves memory behavior when dealing with large script sets.
      Returns: